---
date: "2022-04-26T12:11:07+02:00"
draft: false
title: The no-JS.club | Promenade for JavaScript freed websites
---

The Internet as we find it today is unfortunately a completely bloated disaster including lush JavaScript libraries.

In our opinion, a significant part of this is the fact that building websites is far too easy these days. Anyone can create a website in no time and without any basic knowledge. Clickety click, and something like a WordPress blog is up and running. Clickety clack and a bunch of plug-ins are integrated right along with the friendly roommate named JavaScript ;-)

Modern, interactive websites with high usability can be built without JavaScript. So why is it used as an essential component in so many websites - convenience, laziness, ignorance?!

It doesn't take many years of studying to create a respectable website without it, using one of the many **S**tatic **S**ite **G**enerators, for example. They use [Markdown](https://www.markdownguide.org/) as their markup language which is quick and easy to learn and can also be used with many everyday tools like instant messengers, forums, wikis, developer platforms like [Stack Overflow](https://stackoverflow.com/), [SourceHut](https://sr.ht/), [GitHub](https://github.com) or [GitLab](https://gitlab.com).

We do not claim that JavaScript is a creation of Satan that shouldn't be used in general! In our opinion, equivalent results can often (**not always!**) be achieved with alternative methods.

So what are you waiting for? Free your website and join us **free of charge**. We are a collective of websites that abstain from using JavaScript.

This project was inspired by websites like the [**250KB club**](https://250kb.club/), the [**512KB club**](https://512kb.club/), the [**1MB club**](https://1mb.club/) and the former **noJS club**. If you want to join us please have a look at the [**FAQ**](/faq) to learn how.
